fse.ws.handler

## Class FSEMessageHandler

- java.lang.Object
- - fse.ws.handler.FSEMessageHandler

- All Implemented Interfaces:
    javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>, javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

      public class FSEMessageHandler
      extends java.lang.Object
      implements javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Properties` | `properties`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSEMessageHandler()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(javax.xml.ws.handler.MessageContext arg0)`
    `java.util.Set<javax.xml.namespace.QName>` | `getHeaders()`
    `boolean` | `handleFault(javax.xml.ws.handler.soap.SOAPMessageContext arg0)`
    `boolean` | `handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext arg0)`
    `static javax.xml.soap.SOAPMessage` | `inviaMessaggio(javax.xml.soap.SOAPMessage message, java.lang.String url)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          public static java.util.Properties properties

  - ### Constructor Detail

    - #### FSEMessageHandler

          public FSEMessageHandler()

  - ### Method Detail

    - #### close

          public void close(javax.xml.ws.handler.MessageContext arg0)

      Specified by:
        `close` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### handleFault

          public boolean handleFault(javax.xml.ws.handler.soap.SOAPMessageContext arg0)

      Specified by:
        `handleFault` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### handleMessage

          public boolean handleMessage(javax.xml.ws.handler.soap.SOAPMessageContext arg0)

      Specified by:
        `handleMessage` in interface `javax.xml.ws.handler.Handler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### getHeaders

          public java.util.Set<javax.xml.namespace.QName> getHeaders()

      Specified by:
        `getHeaders` in interface `javax.xml.ws.handler.soap.SOAPHandler<javax.xml.ws.handler.soap.SOAPMessageContext>`

    - #### inviaMessaggio

          public static javax.xml.soap.SOAPMessage inviaMessaggio(javax.xml.soap.SOAPMessage message,
                                                                  java.lang.String url)
                                                           throws javax.xml.soap.SOAPException

      Throws:
        `javax.xml.soap.SOAPException`